## dico 2.11

=== dicoweb/requirements.txt ===
Django>=2.0
wikitrans>=1.2
python-memcached>=1.59
