## dico 2.0

=== debian/changelog ===
dico (2.0-7) unstable; urgency=low

  * debian/control: Lowered -mediawiki's python minimum required version to 
    2.5 since that also has python-xml.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 09 Dec 2009 22:46:02 +0200

dico (2.0-6) unstable; urgency=low

  * Switch to 3.0 (quilt) source format.
  * debian/control: Changed -mediawiki dependency from python2.6 to
    python (>= 2.6)
  * Added patch dico+kbsd.diff, a workaround for GNU/kFreeBSD since it
    has no ENODATA (Closes: #559764)
  * debian/dicod.init: Indicate dicod init.d script to be stoppable at 0 1 6
    runlevels.
  * debian/dicod.lintian-overrides: Added override for
    init.d-script-does-not-provide-itself

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 07 Dec 2009 11:08:11 +0200

dico (2.0-5) unstable; urgency=low

  * debian/control: Add python2.6 as an alternative dependency for
    dico-module-mediawiki to provide python XML.
  * debian/dicod.postinst: In case dictd got removed (but not purged), disable
    dictd service, since our dictd init script is just a symlink to dicod
    (Closes: #542020)
  * debian/control: Bumped Standards-Version to 3.8.3, no changes needed.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 27 Aug 2009 09:54:20 +0200

dico (2.0-4) unstable; urgency=low

  * debian/rules:
    + use dh_auto_* --sourcedirectory for the python modules
    + No need to explicitly remove *.pyc files dh_auto_clean override,
      dh_auto_clean does that.
  * debian/control: Build-Depend on debhelper >= 7.3.5~ to support
    dh_auto_* --sourcedirectory
  * debian/pyversions: Set minimum python version to 2.5 (Closes: #540501)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 08 Aug 2009 17:27:15 +0300

dico (2.0-3) unstable; urgency=low

  * debian/control:
    + Changed section of dicoweb to web
    + Added le-dico-de-rene-cougnenc to dico's conflicts as they share a
      couple of files (Closes: #538175)
  * debian/rules:
    + override dh_auto_clean target to clean up python modules' subdirs
    + in dh_auto_{build|install} overrides, replace $(MAKE) ... with
      dh_auto_{build|install}
    + Replace long configure line with a shorter:
      dh_auto_configure -- <needed configure overrides>
    + Add -Wl,--as-needed to LDFLAGS to avoid linking with un-necessary
      libraries.
  * debian/dicod.install: fix install path for dicod.conf (Closes: #538275)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 24 Jul 2009 16:03:36 +0300

dico (2.0-2) unstable; urgency=low

  * debian/control:
    + Fix dicoweb's Depends (dicoclient-python should be python-dicoclient)
      which made it un-installable.
    + Added Vcs-* fields
    + Bump Standards-Version to 3.8.2, no changes needed
    + Build-Depend on debhelper >= 7.0.50~ to support override targets.
    + Added ${misc:Depends} to Depends fields of dico-dev, dico-doc,
      python-wit, python-dicoclient and dico-module-mediawiki packages.
  * debian/rules:
    + Simplify rules file.
    + Make debian/dicodconfig* files executable during dh_auto_build before
      they get installed by dh_install.
  * Added debian/dico-module-mediawiki.install
  * Removed debian/dicoweb.dirs

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 11 Jul 2009 05:47:05 +0300

dico (2.0-1) unstable; urgency=low

  * Initial release (Closes: #522368).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 03 Apr 2009 06:28:25 +0200
