=== debian/control ===
Source: dico
Section: text
Priority: optional
Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Build-Depends: debhelper (>= 7.3.5~), autotools-dev, guile-1.8-dev, python-dev, 
 libgsasl7-dev, zlib1g-dev, libltdl7-dev, python-support (>= 0.5.3), 
 python-all-dev (>= 2.3.5-11), m4
Standards-Version: 3.8.3
Homepage: http://puszcza.gnu.org.ua/software/dico/
Vcs-Git: git://git.debian.org/git/collab-maint/dico.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/dico.git

Package: dicod
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdico0 (= ${binary:Version}), m4
Pre-Depends: adduser
Recommends: dico-module-dictorg
Suggests: dico-doc
Provides: dict-server
Conflicts: dictd
Replaces: dictd
Description: RFC 2229 compliant modular dictionary server
 GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
 It is fully modular: the daemon itself (dicod) provides only the server
 functionality, and knows nothing about database formats. Actual searches
 are performed by functions supplied in loadable modules. A single module
 can serve one or more databases.
 .
 This package contains the dicod server.

Package: dico
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdico0 (= ${binary:Version})
Suggests: dico-doc
Conflicts: le-dico-de-rene-cougnenc
Provides: dict-client
Description: RFC 2229 compliant dictionary client
 GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
 It is fully modular: the daemon itself (dicod) provides only the server
 functionality, and knows nothing about database formats. Actual searches
 are performed by functions supplied in loadable modules. A single module
 can serve one or more databases.
 .
 This package contains the dico console client.

Package: libdico0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: RFC 2229 compliant modular dictionary server (shared library)
 GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
 It is fully modular: the daemon itself (dicod) provides only the server
 functionality, and knows nothing about database formats. Actual searches
 are performed by functions supplied in loadable modules. A single module
 can serve one or more databases.
 .
 This package contains the shared library.

Package: dico-dev
Section: libdevel
Architecture: any
Depends: libdico0 (= ${binary:Version}), ${misc:Depends}
Suggests: dico-doc
Description: RFC 2229 compliant modular dictionary server (development files)
 GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
 It is fully modular: the daemon itself (dicod) provides only the server
 functionality, and knows nothing about database formats. Actual searches
 are performed by functions supplied in loadable modules. A single module
 can serve one or more databases.
 .
 This package contains the header files, static libraries, and symbolic links
 needed for development.

Package: dico-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: RFC 2229 compliant modular dictionary server (documentation)
 GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
 It is fully modular: the daemon itself (dicod) provides only the server
 functionality, and knows nothing about database formats. Actual searches
 are performed by functions supplied in loadable modules. A single module
 can serve one or more databases.
 .
 This package contains the complete documentation for GNU Dico.

Package: dico-module-outline
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dicod
Description: RFC 2229 compliant modular dictionary server (Emacs module)
 GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
 It is fully modular: the daemon itself (dicod) provides only the server
 functionality, and knows nothing about database formats. Actual searches
 are performed by functions supplied in loadable modules. A single module
 can serve one or more databases.
 .
 This package contains the module that handles databases in Emacs outline
 format. This module is designed mostly as an example and for testing
 purposes.

Package: dico-module-dictorg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dicod
Suggests: dict-gcide | dictd-dictionary, dict-wn, dict-jargon, dict-foldoc
Description: RFC 2229 compliant modular dictionary server (dict.org module)
 GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
 It is fully modular: the daemon itself (dicod) provides only the server
 functionality, and knows nothing about database formats. Actual searches
 are performed by functions supplied in loadable modules. A single module
 can serve one or more databases.
 .
 This package contains the module that handles databases in dict.org format.

Package: dico-module-guile
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dicod
Description: RFC 2229 compliant modular dictionary server (Guile module)
 GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
 It is fully modular: the daemon itself (dicod) provides only the server
 functionality, and knows nothing about database formats. Actual searches
 are performed by functions supplied in loadable modules. A single module
 can serve one or more databases.
 .
 This package provides an abstract layer for interfacing with database modules
 written in Guile.

Package: dico-module-python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dicod
Description: RFC 2229 compliant modular dictionary server (Python module)
 GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
 It is fully modular: the daemon itself (dicod) provides only the server
 functionality, and knows nothing about database formats. Actual searches
 are performed by functions supplied in loadable modules. A single module
 can serve one or more databases.
 .
 This package provides an abstract layer for interfacing with database modules
 written in Python.

Package: dico-module-mediawiki
Architecture: all
Depends: dico-module-python, python-wit, python-simplejson, python (>= 2.5), ${misc:Depends}
Description: RFC 2229 compliant modular dictionary server (mediawiki module)
 GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
 It is fully modular: the daemon itself (dicod) provides only the server
 functionality, and knows nothing about database formats. Actual searches
 are performed by functions supplied in loadable modules. A single module
 can serve one or more databases.
 .
 This package contains the module that handles the use of Wiktionary or
 Wikipedia as a dictionary database.

Package: python-wit
Section: python
XB-Python-Version: ${python:Versions}
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: wikitext translation library
 This package provides Wit, a Python library for converting wiki markup
 into another kind of markup. Currently it supports HTML and plain text.

Package: python-dicoclient
Section: python
XB-Python-Version: ${python:Versions}
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: RFC 2229 compliant dictionary client module and shell
 GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
 It is fully modular: the daemon itself (dicod) provides only the server
 functionality, and knows nothing about database formats. Actual searches
 are performed by functions supplied in loadable modules. A single module
 can serve one or more databases.
 .
 This package contains a Python module that provides a Dico client and a simple
 interactive shell.

Package: dicoweb
Architecture: all
Section: web
Depends: ${misc:Depends}, python-dicoclient, python-django, python-memcache, python-wit, libapache2-mod-python | libapache2-mod-wsgi
Description: RFC 2229 compliant modular dictionary server (web interface)
 GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
 It is fully modular: the daemon itself (dicod) provides only the server
 functionality, and knows nothing about database formats. Actual searches
 are performed by functions supplied in loadable modules. A single module
 can serve one or more databases.
 .
 This package provides a web interface for database searches.
