=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --without-included-ltdl LDFLAGS="$(LDFLAGS) -Wl,--as-needed"

override_dh_auto_build:
	dh_auto_build

	# Build python-wit:
	dh_auto_build --sourcedirectory app/python/wit

	# Build dicoclient python modules:
	dh_auto_build --sourcedirectory dicoweb/dicoclient

	# Make those files executable before installing them:
	chmod +x debian/dicodconfig debian/dicodconfig.alias

override_dh_auto_install:
	dh_auto_install

	# Install python-wit:
	dh_auto_install --sourcedirectory app/python/wit -- --root=$(CURDIR)/debian/python-wit

	# Install dicoclient python modules:
	dh_auto_install --sourcedirectory dicoweb/dicoclient -- --root=$(CURDIR)/debian/python-dicoclient

	# Install dicoweb:
	dh_install -pdicoweb dicoweb usr/share -Xdicoclient -XINSTALL

	dh_install -s

override_dh_auto_clean:
	dh_auto_clean

	# Clean python-wit:
	dh_auto_clean --sourcedirectory app/python/wit

	# Clean dicoclient python modules:
	dh_auto_clean --sourcedirectory dicoweb/dicoclient
