## dico 2.1

=== debian/changelog ===
dico (2.1-3) unstable; urgency=low

  * debian/control:
    + Bumped Standards Version to 3.9.1, no changes needed
    + Added ${python:Depends} for dicoweb (Closes: #592001)
    + Add XS-Python-Version field.
  * Removed debian/pyversions
  * Added utf8.diff patch to fix Unicode handling (Closes: #591698)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 19 Aug 2010 11:25:19 +0200

dico (2.1-2) unstable; urgency=low

  * debian/rules: Make sure dicoweb is being built before installing 
    settings.py (Closes: #589049)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 14 Jul 2010 18:20:25 +0300

dico (2.1-1) unstable; urgency=low

  * New upstream release (Closes: #588403)
  * Refreshed patch dicoweb-debian.diff
  * Removed patches that are applied upstream:
    0001-Speed-up-output-procedure-in-dictorg.patch,
    improve_dicoweb.patch
  * debian/rules: Upstream renamed settings.py to settings-sample.py,
    hence install settings-sample.py in /etc/dicoweb/
  * debian/control:
    + Bumped Standards-Version to 3.9.0, no changes needed.
    + Drop XB-Python-Version fields and ${python:Provides}, as they are not
      needed.
    + Set DMUA (after approval of Marc Dequènes (Duck) <duck@debian.org>)
    + Remove libdico from Depends field of dico & dicod, it should be
      added automatically.
    + Remove python-dev from B-D, since python-all-dev is there
    + Add libldap2-dev to B-D to compile LDAP module.
    + Add list of included modules in dicod extended description.
  * debian/dicod.conf:
    + Match everything strategy is disabled by not loading the stratall
      module.
    + Added a commented section to enable substr strategy.
  * debian/dicod.install: Install ldap, substr & stratall modules in dicod
  * debian/dico-module-*.install: For pluggable modules, only install the .so
    files.
  * debian/dico-dev.install: Do not install .la file
    (See: http://wiki.debian.org/ReleaseGoals/LAFileRemoval)
  * debian/watch: Add check for bzip2'ed tarballs
  * Renamed libdico package due to bumped sonames
  * debian/libdico1.symbols: Updated symbols
  * Merge dictorg & outline modules into dicod package.
  * debian/dicod.conf: Enable dictorg module by default (Closes: #588402).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 08 Jul 2010 12:08:56 +0300

dico (2.0.90-1) unstable; urgency=low

  * New upstream release. (Closes: #582692, #582696, #582708, #582694)
  * Update my email address
  * debian/dicod.init: Set STARTTIME to 4 seconds (LP: #583993)
  * Added dicoweb-debian.diff patch to set sane dicoweb defaults for a
    Debian system. (Credit to: "Marc Dequènes (Duck)" <duck@duckcorp.org>)
  * Added debian/apache2.conf
    (Credit to: "Marc Dequènes (Duck)" <duck@duckcorp.org>)
  * debian/rules:
    + Install dicoweb/settings.py in /etc/dicoweb/ (Closes: #582671)
    + Install dicoweb/templates, dicoweb/static and debian/apache2.conf in
      /etc/dicoweb/
  * Added debian/dicoweb.links to create a symlink for
    /etc/dicoweb/settings.py in /usr/share/dicoweb
  * Added debian/dicoweb.README.Debian
  * Removed debian/dicoweb.docs, debian/dicoweb.lintian-overrides
  * debian/control: Update Standards-Version to 3.8.4, no changes needed.
  * etc/dicod.conf: Disable "Match everything" strategy by default, as it is
    susceptible to DOS attack.
  * debian/libdico0.symbols: added new symbols
  * Added patch improve_dicoweb.patch from upstream to fix crash while
    displaying a definition (Closes: #582695, #582697)
  * Added patch 0001-Speed-up-output-procedure-in-dictorg.patch from
    upstream to speed up output in dictorg module. (Closes: #582799)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 23 May 2010 20:59:53 +0300
