=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: dico
 Section: text
 Priority: optional
-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Build-Depends: debhelper (>= 7.3.5~), autotools-dev, guile-1.8-dev, python-dev, 
- libgsasl7-dev, zlib1g-dev, libltdl7-dev, python-support (>= 0.5.3), 
+Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
+Build-Depends: debhelper (>= 7.3.5~), autotools-dev, guile-1.8-dev, libldap2-dev,
+ libgsasl7-dev, zlib1g-dev, libltdl7-dev, python-support (>= 0.5.3),
  python-all-dev (>= 2.3.5-11), m4
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1
+DM-Upload-Allowed: yes
 Homepage: http://puszcza.gnu.org.ua/software/dico/
 Vcs-Git: git://git.debian.org/git/collab-maint/dico.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/dico.git
+XS-Python-Version: >= 2.5
 
 Package: dicod
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libdico0 (= ${binary:Version}), m4
+Depends: ${shlibs:Depends}, ${misc:Depends}, m4
 Pre-Depends: adduser
-Recommends: dico-module-dictorg
 Suggests: dico-doc
 Provides: dict-server
-Conflicts: dictd
-Replaces: dictd
+Conflicts: dictd, dico-module-dictorg, dico-module-outline
+Replaces: dictd, dico-module-dictorg, dico-module-outline
 Description: RFC 2229 compliant modular dictionary server
  GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
  It is fully modular: the daemon itself (dicod) provides only the server
@@ -26,11 +27,14 @@
  are performed by functions supplied in loadable modules. A single module
  can serve one or more databases.
  .
- This package contains the dicod server.
+ This package contains the dicod server, in addition to the following plugins:
+  * ldap: provides LDAP support
+  * substr: provides a substring search strategy
+  * stratall: provides the 'all' search strategy
 
 Package: dico
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libdico0 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: dico-doc
 Conflicts: le-dico-de-rene-cougnenc
 Provides: dict-client
@@ -43,7 +47,7 @@
  .
  This package contains the dico console client.
 
-Package: libdico0
+Package: libdico1
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -59,7 +63,7 @@
 Package: dico-dev
 Section: libdevel
 Architecture: any
-Depends: libdico0 (= ${binary:Version}), ${misc:Depends}
+Depends: libdico1 (= ${binary:Version}), ${misc:Depends}
 Suggests: dico-doc
 Description: RFC 2229 compliant modular dictionary server (development files)
  GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
@@ -83,33 +87,6 @@
  can serve one or more databases.
  .
  This package contains the complete documentation for GNU Dico.
-
-Package: dico-module-outline
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, dicod
-Description: RFC 2229 compliant modular dictionary server (Emacs module)
- GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
- It is fully modular: the daemon itself (dicod) provides only the server
- functionality, and knows nothing about database formats. Actual searches
- are performed by functions supplied in loadable modules. A single module
- can serve one or more databases.
- .
- This package contains the module that handles databases in Emacs outline
- format. This module is designed mostly as an example and for testing
- purposes.
-
-Package: dico-module-dictorg
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, dicod
-Suggests: dict-gcide | dictd-dictionary, dict-wn, dict-jargon, dict-foldoc
-Description: RFC 2229 compliant modular dictionary server (dict.org module)
- GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
- It is fully modular: the daemon itself (dicod) provides only the server
- functionality, and knows nothing about database formats. Actual searches
- are performed by functions supplied in loadable modules. A single module
- can serve one or more databases.
- .
- This package contains the module that handles databases in dict.org format.
 
 Package: dico-module-guile
 Architecture: any
@@ -152,20 +129,16 @@
 
 Package: python-wit
 Section: python
-XB-Python-Version: ${python:Versions}
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}
-Provides: ${python:Provides}
 Description: wikitext translation library
  This package provides Wit, a Python library for converting wiki markup
  into another kind of markup. Currently it supports HTML and plain text.
 
 Package: python-dicoclient
 Section: python
-XB-Python-Version: ${python:Versions}
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}
-Provides: ${python:Provides}
 Description: RFC 2229 compliant dictionary client module and shell
  GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
  It is fully modular: the daemon itself (dicod) provides only the server
@@ -179,7 +152,7 @@
 Package: dicoweb
 Architecture: all
 Section: web
-Depends: ${misc:Depends}, python-dicoclient, python-django, python-memcache, python-wit, libapache2-mod-python | libapache2-mod-wsgi
+Depends: ${python:Depends}, ${misc:Depends}, python-dicoclient, python-django, python-memcache, python-wit, libapache2-mod-python | libapache2-mod-wsgi
 Description: RFC 2229 compliant modular dictionary server (web interface)
  GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
  It is fully modular: the daemon itself (dicod) provides only the server
