=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 
+tito:
+	dh_listpackages
 %:
 	dh $@
 
@@ -27,10 +29,14 @@
 	# Install dicoclient python modules:
 	dh_auto_install --sourcedirectory dicoweb/dicoclient -- --root=$(CURDIR)/debian/python-dicoclient
 
+override_dh_install:
+	dh_install
 	# Install dicoweb:
-	dh_install -pdicoweb dicoweb usr/share -Xdicoclient -XINSTALL
-
-	dh_install -s
+	dh_install -pdicoweb dicoweb usr/share -Xdicoclient -XINSTALL -Xtemplates -Xsettings-sample.py -Xstatic
+	dh_install -pdicoweb dicoweb/templates etc/dicoweb
+	dh_install -pdicoweb dicoweb/static etc/dicoweb
+	dh_install -pdicoweb debian/apache2.conf etc/dicoweb
+	[ ! -d debian/dicoweb/etc/dicoweb/ ] || install -m 0644 dicoweb/settings-sample.py $(CURDIR)/debian/dicoweb/etc/dicoweb/settings.py
 
 override_dh_auto_clean:
 	dh_auto_clean
