=== debian/watch ===
version=3

ftp://ftp.gnu.org/gnu/dico/dico-(.*)\.tar\.(?:gz|bz2)
