## dico 2.2

=== debian/changelog ===
dico (2.2-5) unstable; urgency=medium

  * debian/watch:
    + Add xz extension
    + Add pgpsigurlmangle
  * Added debian/upstream-signing-key.pgp
  * Added debian/source/include-binaries
  * Added readline_6.3.diff patch to fix FTBFS against readline 6.3
    (Closes: #741762)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 16 Mar 2014 17:09:53 +0200

dico (2.2-4) unstable; urgency=low

  * Updated access control configuration for Apache 2.4 (Closes: #669737)
  * Added django_1.5.diff patch to support Django 1.5 (Closes: #730488)
  * debian/control:
    + Bumped Standards-Version to 3.9.5
    + Bumped dicoweb's python-django dependency to >= 1.4.5

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 25 Nov 2013 23:51:54 +0200

dico (2.2-3) unstable; urgency=low

  * debian/libdico1.symbols: Added Build-Depends-Package field.
  * Eliminated check for gets() so source builds with eglibc, fixing FTBFS.
    Thanks to Ubuntu (Closes: #701390) (LP: #1163486)
  * debian/copyright: Update copyright years.
  * debian/control:
    + Updated Standards-Version to 3.9.4
    + Dropped obsolete DMUA field.
    + Use canonical URIs in VCS-* fields.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 07 Apr 2013 09:46:47 +0200

dico (2.2-2) unstable; urgency=low

  * debian/rules: Enable all hardening flags.
  * Added dicoweb-django.diff patch to replace deprecated load_template_source
    callers. (Closes: #678912)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 29 Jun 2012 11:03:01 +0200

dico (2.2-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Check for tarballs with numbered versions only
  * Bumped compat level to 9
  * debian/control:
    + Updated Standards-Version to 3.9.3
    + debian/control: wrap & sort.
    + Added libpcre3-dev, libpam0g-dev, wordnet-dev to Build-Deps.
    + Set libdico & dico-dev as Multi-Arch: same
    + Added Pre-Depends: ${misc:Pre-Depends} for libdico &
      dico-module-{guile,wordnet,python} packages.
  * debian/dicod.install: Added gcide, word, nprefix, pcre & pam
    modules.
  * Switch to dh_python2
    + debian/control:
      - Drop python-support from Build-Deps
      - Bumped python-all Build-Dep to (>= 2.6.6-3~)
      - XS-Python-Version -> X-Python-Version
    + debian/rules: added --with python2 to dh call.
  * debian/copyright: Updated copyright format & years
  * Dropped patches that are applied upstream: dico+kbsd.diff, utf8.diff
  * Refreshed patch: dicoweb-debian.diff
  * debian/*.install: Update lib paths for multiarch
  * debian/dicod.lintian-overrides: Use relative paths for overrides
  * Added wordnet.diff patch to link against -lwordnet instead of -lWN
  * debian/libdico1.symbols: Updated symbols

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 09 May 2012 04:26:06 +0200
