=== debian/control ===
--- 
+++ 
@@ -2,24 +2,32 @@
 Section: text
 Priority: optional
 Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
-Build-Depends: debhelper (>= 7.3.5~), autotools-dev, guile-1.8-dev, libldap2-dev,
- libgsasl7-dev, zlib1g-dev, libltdl7-dev, python-support (>= 0.5.3),
- python-all-dev (>= 2.3.5-11), m4
-Standards-Version: 3.9.1
-DM-Upload-Allowed: yes
+Build-Depends: autotools-dev,
+               debhelper (>= 9),
+               guile-1.8-dev,
+               libgsasl7-dev,
+               libldap2-dev,
+               libltdl7-dev,
+               m4,
+               python-all-dev (>= 2.6.6-3~),
+               zlib1g-dev,
+               libpcre3-dev,
+               libpam0g-dev,
+               wordnet-dev
+Standards-Version: 3.9.5
 Homepage: http://puszcza.gnu.org.ua/software/dico/
-Vcs-Git: git://git.debian.org/git/collab-maint/dico.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/dico.git
-XS-Python-Version: >= 2.5
+Vcs-Git: git://anonscm.debian.org/collab-maint/dico.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dico.git
+X-Python-Version: >= 2.5
 
 Package: dicod
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, m4
+Depends: m4, ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: adduser
 Suggests: dico-doc
 Provides: dict-server
-Conflicts: dictd, dico-module-dictorg, dico-module-outline
-Replaces: dictd, dico-module-dictorg, dico-module-outline
+Conflicts: dico-module-dictorg, dico-module-outline, dictd
+Replaces: dico-module-dictorg, dico-module-outline, dictd
 Description: RFC 2229 compliant modular dictionary server
  GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
  It is fully modular: the daemon itself (dicod) provides only the server
@@ -34,7 +42,7 @@
 
 Package: dico
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: dico-doc
 Conflicts: le-dico-de-rene-cougnenc
 Provides: dict-client
@@ -50,7 +58,9 @@
 Package: libdico1
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: RFC 2229 compliant modular dictionary server (shared library)
  GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
  It is fully modular: the daemon itself (dicod) provides only the server
@@ -63,6 +73,7 @@
 Package: dico-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libdico1 (= ${binary:Version}), ${misc:Depends}
 Suggests: dico-doc
 Description: RFC 2229 compliant modular dictionary server (development files)
@@ -90,7 +101,8 @@
 
 Package: dico-module-guile
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, dicod
+Depends: dicod, ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: RFC 2229 compliant modular dictionary server (Guile module)
  GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
  It is fully modular: the daemon itself (dicod) provides only the server
@@ -103,7 +115,8 @@
 
 Package: dico-module-python
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, dicod
+Depends: dicod, ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: RFC 2229 compliant modular dictionary server (Python module)
  GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
  It is fully modular: the daemon itself (dicod) provides only the server
@@ -116,7 +129,11 @@
 
 Package: dico-module-mediawiki
 Architecture: all
-Depends: dico-module-python, python-wit, python-simplejson, python (>= 2.5), ${misc:Depends}
+Depends: dico-module-python,
+         python (>= 2.5),
+         python-simplejson,
+         python-wit,
+         ${misc:Depends}
 Description: RFC 2229 compliant modular dictionary server (mediawiki module)
  GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
  It is fully modular: the daemon itself (dicod) provides only the server
@@ -127,10 +144,24 @@
  This package contains the module that handles the use of Wiktionary or
  Wikipedia as a dictionary database.
 
+Package: dico-module-wordnet
+Architecture: any
+Depends: dicod, ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Description: RFC 2229 compliant modular dictionary server (WordNet module)
+ GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
+ It is fully modular: the daemon itself (dicod) provides only the server
+ functionality, and knows nothing about database formats. Actual searches
+ are performed by functions supplied in loadable modules. A single module
+ can serve one or more databases.
+ .
+ This package provides an abstract layer for reading WordNet lexical database
+ files.
+
 Package: python-wit
 Section: python
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${python:Depends}
 Description: wikitext translation library
  This package provides Wit, a Python library for converting wiki markup
  into another kind of markup. Currently it supports HTML and plain text.
@@ -138,7 +169,7 @@
 Package: python-dicoclient
 Section: python
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${python:Depends}
 Description: RFC 2229 compliant dictionary client module and shell
  GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
  It is fully modular: the daemon itself (dicod) provides only the server
@@ -152,7 +183,13 @@
 Package: dicoweb
 Architecture: all
 Section: web
-Depends: ${python:Depends}, ${misc:Depends}, python-dicoclient, python-django, python-memcache, python-wit, libapache2-mod-python | libapache2-mod-wsgi
+Depends: libapache2-mod-python | libapache2-mod-wsgi,
+         python-dicoclient,
+         python-django (>= 1.4.5),
+         python-memcache,
+         python-wit,
+         ${misc:Depends},
+         ${python:Depends}
 Description: RFC 2229 compliant modular dictionary server (web interface)
  GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
  It is fully modular: the daemon itself (dicod) provides only the server
