## dico 2.3

=== debian/changelog ===
dico (2.3-1) unstable; urgency=medium

  * [6fcf6ad] New upstream version 2.3 (Closes: #819835)
  * [70fa481] Drop patches (mostly merged upstream) and refresh others
  * [0756a82] Add python-six to build depends
  * [dc7cc1d] Disable failing Guile sub-test
  * [2af696f] Update dico-dev example install files
  * [f48cda1] Fix FTBFS for string format
  * [bd729d7] Update symbols list for 2.3
  * [5f1d5ff] Add dh-python to build depends
  * [667bab7] Fix Vcs URLs
  * [bbf2276] Add myself as Maintainer. With permission from previous
    maintainer, Ahed El-Mahmoudy
  * [7eb24e8] Update Standards Version to 3.9.8. No changes required

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 15 Sep 2016 16:37:49 +0530

dico (2.2-9) unstable; urgency=medium

  * Add -E to LDFLAGS for mips64el arch. to fix FTBFS.
    Thanks to James Cowgill <james410@cowgill.org.uk> (Closes: #775426)
  * Update my email address
  * debian/copyright: Update copyright years.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 08 May 2015 08:42:28 +0200

dico (2.2-8) unstable; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new archs.
    (Closes: #765202)
  * debian/control:
    + Bumped Standards-Version to 3.9.6
    + Update email address.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 19 Oct 2014 11:15:29 +0200

dico (2.2-7) unstable; urgency=medium

  * Add django_1.7.patch patch to migrate to Django 1.7.
    Thanks to Marc Dequènes (Duck) <duck@duckcorp.org> (Closes: #755585)
  * Added guile2.0.diff patch from upstream to fix FTBFS with Guile 2.x
    debian/rules: Removed override_dh_auto_test target as it is no longer
    needed.
  * debian/clean: Remove examples/*.pyc during clean.
  * debian/dicod*.service, debian/dicod.socket: Install systemd service &
    socket files for dicod inetd mode.
  * Added client-ipv6.diff patch to add IPv6 support to dico client.
  * debian/xinetd/dicod: added a xinetd config file.
  * debian/dicod.postinst: add a disabled inetd entry for dicod during package
    install.
  * debian/dicod.prerm: remove/disable inetd entry for dicod during package
    remove/upgrade.
  * debian/dicod.README.Debian:
    + Indicate that dicod supports IPv6 in inetd mode.
    + Add instructions for runing dicod in inetd mode.
  * debian/dicod.links: add dictd.service -> dicod.service symlink.
  * debian/apache2.conf: Remove mod-python support & add mod-passenger support
    for dicoweb.
  * Add upstream metadata.
  * debian/rules:
    + Fix FTBFS on mips,mipsel,s390x archs by appending -Wl,-E to LDFLAGS for
      those archs. (Closes: #763801)
      see: https://lists.debian.org/debian-mips/2014/09/msg00041.html
    + Set $HOME to temporary directory in the build tree while running the
      test suites in order to fix FTBFS on autobuilders.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 02 Oct 2014 16:25:08 +0200

dico (2.2-6) unstable; urgency=medium

  * debian/control: migrate to Guile 2.0 (Closes: #745995)
  * debian/rules:
    + override dh_auto_test to disable warnings on deprecated
    Guile API calls, and also to disable Guile auto-compilation.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 12 Sep 2014 12:02:47 +0300
