=== debian/control ===
--- 
+++ 
@@ -1,23 +1,26 @@
 Source: dico
 Section: text
 Priority: optional
-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
+Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
+Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
 Build-Depends: autotools-dev,
                debhelper (>= 9),
-               guile-1.8-dev,
+               dh-python,
+               guile-2.0-dev,
                libgsasl7-dev,
                libldap2-dev,
                libltdl7-dev,
                m4,
                python-all-dev (>= 2.6.6-3~),
+               python-six,
                zlib1g-dev,
                libpcre3-dev,
                libpam0g-dev,
                wordnet-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://puszcza.gnu.org.ua/software/dico/
-Vcs-Git: git://anonscm.debian.org/collab-maint/dico.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dico.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/dico.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dico.git
 X-Python-Version: >= 2.5
 
 Package: dicod
@@ -183,7 +186,7 @@
 Package: dicoweb
 Architecture: all
 Section: web
-Depends: libapache2-mod-python | libapache2-mod-wsgi,
+Depends: libapache2-mod-passenger | libapache2-mod-wsgi,
          python-dicoclient,
          python-django (>= 1.4.5),
          python-memcache,
