=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,24 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+TEST_HOME=$(CURDIR)/tmp-home
+
+# Append -Wl,-E to LDFLAGS for mips,mipsel,s390x archs, see:
+# https://lists.debian.org/debian-mips/2014/09/msg00041.html
+DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+ifneq (,$(filter mips mipsel mips64 mips64el s390x,$(DEB_HOST_ARCH)))
+	LDFLAGS += "-Wl,-E"
+endif
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2,autotools_dev
 
 override_dh_auto_configure:
+	
+	# Workaround to fool automake
+	# Should be remove once we have a fix for the failing guile test
+	touch modules/guile/tests/Makefile.in
+
 	dh_auto_configure -- --without-included-ltdl LDFLAGS="$(LDFLAGS) -Wl,--as-needed"
 
 override_dh_auto_build:
@@ -46,3 +59,7 @@
 
 	# Clean dicoclient python modules:
 	dh_auto_clean --sourcedirectory dicoweb/dicoclient
+
+override_dh_auto_test:
+	mkdir -p $(TEST_HOME)
+	HOME=$(TEST_HOME) dh_auto_test
