## dico 2.4

=== debian/changelog ===
dico (2.4-1) unstable; urgency=medium

  * New upstream release.
  * Add django_1.10.diff patch to support Django 1.10. Thanks to Marc Dequènes
    (Duck) <duck@duckcorp.org> (Closes: #868832)
  * Remove obsolete patches
  * debian/dicod.{prerm,postinst}: check for update-inetd using which instead
    of checking hard coded path
  * Replace upstream-signing-key.pgp with upstream/signing-key.asc
  * Removed fix-ftbfs-format-string.patch patch, as it is applied upstream
  * Update symbols file
  * Re-enable Guile tests
  * Bumped compat level to 10
    + No need to specify autotools-dev
    + wordnet.diff patch: patch configure.ac & modules/wordnet/Makefile.am
      instead of configure & modules/guile/Makefile.in
  * Bump Standards-Version to 4.1.1
  * Update copyright years
  * debian/dicoweb.links:
    + fix passenger_wsgi.py symlink (Closes: #868830)
    + add symlink to /etc/dicoweb/templates in /var/lib/dicoweb/passenger
  * Added fix_manpage.diff to fix section of dicod manpage
  * dicod.install: add usr/lib/*/idxgcide
  * Remove manpages created by maintainer as upstream now provides manpages
  * Install metaphone2 plugin in dicod

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 12 Oct 2017 03:28:30 +0200

dico (2.3-2) unstable; urgency=medium

  * Drop broken link to non-existent file.
    Thanks to Andreas Beckmann (Closes: #858511)
  * Add dependency on lsb-base for SysV init script

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 23 Mar 2017 16:37:24 +0530
