=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Build-Depends: autotools-dev,
-               debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                guile-2.0-dev,
                libgsasl7-dev,
@@ -17,7 +16,7 @@
                libpcre3-dev,
                libpam0g-dev,
                wordnet-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://puszcza.gnu.org.ua/software/dico/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/dico.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dico.git
@@ -25,7 +24,7 @@
 
 Package: dicod
 Architecture: any
-Depends: m4, ${misc:Depends}, ${shlibs:Depends}
+Depends: m4, ${misc:Depends}, ${shlibs:Depends}, lsb-base (>= 3.0-6)
 Pre-Depends: adduser
 Suggests: dico-doc
 Provides: dict-server
