=== debian/rules ===
--- 
+++ 
@@ -11,14 +11,9 @@
 endif
 
 %:
-	dh $@ --with python2,autotools_dev
+	dh $@ --with python2
 
 override_dh_auto_configure:
-	
-	# Workaround to fool automake
-	# Should be remove once we have a fix for the failing guile test
-	touch modules/guile/tests/Makefile.in
-
 	dh_auto_configure -- --without-included-ltdl LDFLAGS="$(LDFLAGS) -Wl,--as-needed"
 
 override_dh_auto_build:
