## dico 2.5

=== debian/changelog ===
dico (2.5-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-* URLs
  * Update standards version
  * debian/rules: change assignment operator for DEB_HOST_ARCH to ?=
  * Update copyright years
  * Switch to secure copyright format URL

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 24 Jun 2018 04:57:15 +0200
