=== debian/control ===
--- 
+++ 
@@ -16,11 +16,11 @@
                libpcre3-dev,
                libpam0g-dev,
                wordnet-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4.2
 Homepage: http://puszcza.gnu.org.ua/software/dico/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/dico.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dico.git
 X-Python-Version: >= 2.5
+Vcs-Git: https://salsa.debian.org/debian/dico.git
+Vcs-Browser: https://salsa.debian.org/debian/dico
 
 Package: dicod
 Architecture: any
