=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 # Append -Wl,-E to LDFLAGS for mips,mipsel,s390x archs, see:
 # https://lists.debian.org/debian-mips/2014/09/msg00041.html
-DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 ifneq (,$(filter mips mipsel mips64 mips64el s390x,$(DEB_HOST_ARCH)))
 	LDFLAGS += "-Wl,-E"
 endif
